## org.apache.axis.management.jmx
Interface DeploymentAdministratorMBean

All Known Implementing Classes:
  DeploymentAdministrator

public interface DeploymentAdministratorMBean

Method Summary
`void` `configureGlobalConfig(WSDDGlobalConfiguration config)`
`void` `deployHandler(WSDDHandler handler)`
`void` `deployService(WSDDServiceWrapper service)`
`void` `deployTransport(WSDDTransportWrapper transport)`
`void` `saveConfiguration()`
`void` `undeployHandler(java.lang.String qname)`
`void` `undeployService(java.lang.String qname)`
`void` `undeployTransport(java.lang.String qname)`

Method Detail

### saveConfiguration

    public void saveConfiguration()

### configureGlobalConfig

    public void configureGlobalConfig(WSDDGlobalConfiguration config)

### deployHandler

    public void deployHandler(WSDDHandler handler)

### deployService

    public void deployService(WSDDServiceWrapper service)

### deployTransport

    public void deployTransport(WSDDTransportWrapper transport)

### undeployHandler

    public void undeployHandler(java.lang.String qname)

### undeployService

    public void undeployService(java.lang.String qname)

### undeployTransport

    public void undeployTransport(java.lang.String qname)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.